/*
 * IClienteTriqui.java
 *
 * Created on 14 de octubre de 2006, 07:35 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package cliente;

import clases.*;
import java.rmi.Remote;
import java.rmi.RemoteException;

/**
 * Interfaz remota para el cliente.
 * Gracias a esta interfaz se pueden realizar los callbacks.
 *
 * @author Alejandro Muoz Andrade - almunoz
 */
public interface IClienteTriqui extends java.rmi.Remote {
    public void cbActualizarCliente(Juego game) throws RemoteException;
    public void cbActualizarTablero(Juego game) throws RemoteException;
    public void cbNuevoJuego() throws RemoteException;
    public void cbMensajeText(String mensaje) throws RemoteException;
    public void cbMensajeDialogo(String mensaje) throws RemoteException;
}
