/*
 * IServidorTriqui.java
 *
 * Created on 13 de octubre de 2006, 03:34 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package servidor;

import clases.*;
import cliente.IClienteTriqui;
        
import java.rmi.Remote;
import java.rmi.RemoteException;

/**
 * Interfaz remota para el servidor.
 * Gracias a esta interfaz se realizan las llamadas a los servicios.
 * @author Alejandro Muoz Andrade - almunoz
 */
public interface IServidorTriqui extends java.rmi.Remote {
    public void nuevoJuego(Jugador jugador) throws RemoteException;
    public void reiniciarJuego(int numJuego) throws RemoteException;
    public Jugador conexion(IClienteTriqui cliente) throws RemoteException;
    public Juego logica(Jugador jugador, int posicion) throws RemoteException;
}
